package com.trs.project.timer;

import lombok.extern.slf4j.Slf4j;
import org.quartz.DisallowConcurrentExecution;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@DisallowConcurrentExecution
public class Business5000Task {

    @Autowired
    private BusinessTask businessTask;


    public void execute() {
        for(int i=1;i<=250;i++){
            log.info("==execute===saveBusinessRiskLabelCheckFTP======");
            businessTask.saveBusinessRiskLabelCheckFTP(i);
        }
    }
}
